<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <title>i1 Labs - Realtime Application Security 2006</title>
    <link rel="stylesheet" href="scripts/styles.css" type="text/css" />
    <script language="javascript" type="text/javascript" src="scripts/scripts.js"></script>
  </head>
  <body leftmargin="0" rightmargin="0">
    <div id="navcontainer">
      <ul>
        <li><a href="manageusers.asp">Manage Users</a></li>
        <li><a href="manageapps.asp">Manage Applications</a></li>
        <li><a href="manageexemptexes.asp">Exempt EXEs</a></li>
        <li><a href="accessrequests.asp">Access Requests</a></li>
        <li id="active"><a href="reports.asp" id="current">Reports</a></li>
        <li><a href="logs.asp">Logs</a></li>
        <li><a href="contactsupport.asp">Contact Support</a></li>
      </ul>
    </div>

    <div id="main">
      <h1>Realtime Application Security 2006</h1>

      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="tdstyle2" valign="top">
            <h3>View Reports
            <font size="1"><a href="" onClick="openWindow('help.asp#ViewReports'); return false;">(Need Help?)</a></font></h3>

            <p>
            [ <img src="images/pixel.gif" height="1" width="5" /><a href="" onClick="viewReport('1'); return false;">Reports by User</a><img src="images/pixel.gif" height="1" width="5" /> ]
            [ <img src="images/pixel.gif" height="1" width="5" /><a href="" onClick="viewReport('2'); return false;">Reports by Application</a><img src="images/pixel.gif" height="1" width="5" /> ]
            </p>

<%

Const strConnection = "Provider=SQLOLEDB;Initial Catalog=RTAppSec;Integrated Security=SSPI;"
Const adOpenStatic = 3, adLockOptimistic = 3, adLockReadOnly = 1, adOpenKeyset = 1, adCmdText = &H0001

intReportID = Trim(Request.QueryString("ReportID"))
strUsername = Trim(Request.QueryString("Username"))
strAppName  = Trim(Request.QueryString("AppName"))

If intReportID <> "1" And intReportID <> "2" Then
	Response.Redirect "reports.asp?ReportID=1"
End If

%>

            <form name="Search" method="get" action="reports.asp">
            <input type="hidden" name="ReportID" value="<%=intReportID%>" />

<%

Set objConn = Server.CreateObject("ADODB.Connection")
Set objRS   = Server.CreateObject("ADODB.Recordset")

If intReportID = "1" Then

%>

            <select name="Username">
              <option name="Username" value="--All Users--" />--All Users--

<%
	strUsernames = "_|_"

	objConn.Open strConnection

	If Err.Number = 0 Then
		strQuery = "SELECT user_name " _
		& "FROM USERS"

		objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

		While Not objRS.EOF
			strUsernames = strUsernames & objRS("user_name") & "_|_"

			objRS.MoveNext
		WEnd

		objRS.Close
		objConn.Close
	End If

	If InStr(strUsernames, "_|_") > 0 Then
		strUsernamesSplit = Split(strUsernames, "_|_")

		For Each strDBUsername In strUsernamesSplit
			strDBUsername = Trim(strDBUsername)

			If strDBUsername <> "" Then
				If strDBUsername = strUsername Then
					Response.Write "<option name=""Username"" value=""" & strDBUsername & """ selected />" & strDBUsername & vbCrLf
				Else
					Response.Write "<option name=""Username"" value=""" & strDBUsername & """ />" & strDBUsername & vbCrLf
				End If
			End If
		Next
	End If
End If

If intReportID = "2" Then

%>

            <select name="AppName">
              <option name="AppName" value="--All Applications--" />--All Applications--

<%
	strAppNames = "_|_"

	objConn.Open strConnection

	If Err.Number = 0 Then
		strQuery = "SELECT app_name " _
		& "FROM APPS"

		objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

		While Not objRS.EOF
			strAppNames = strAppNames & objRS("app_name") & "_|_"

			objRS.MoveNext
		WEnd

		objRS.Close
		objConn.Close
	End If

	If InStr(strAppNames, "_|_") > 0 Then
		strAppNamesSplit = Split(strAppNames, "_|_")

		For Each strDBAppName In strAppNamesSplit
			strDBAppName = Trim(strDBAppName)

			If strDBAppName <> "" Then
				If strDBAppName = strAppName Then
					Response.Write "<option name=""AppName"" value=""" & strDBAppName & """ selected />" & strDBAppName & vbCrLf
				Else
					Response.Write "<option name=""AppName"" value=""" & strDBAppName & """ />" & strDBAppName & vbCrLf
				End If
			End If
		Next
	End If
End If

%>

            </select>
            <br />
            <br />
            <input type="submit" value="Search" onMouseOver="this.style.cursor='hand';" />
            </form>

            <p style="color: #000000; font: 13px arial;">

<%

If intReportID = "1" And strUsername <> "" Then
	If strUsername = "--All Users--" Then

%>

            [ <b>Allowed Applications List for All Users</b> ]<br />

<%

		objConn.Open strConnection

		If Err.Number = 0 Then
			For Each strDBUsername In strUsernamesSplit
				strDBUsername = Trim(strDBUsername)

				If strDBUsername <> "" Then

%>

            </p>
            <hr />
            <p style="color: #000000; font: 13px arial;">
            <%=strDBUsername%><br />
            <br />
            <b>Allowed Applications:</b><br />

<%
					strQuery = "SELECT APPS.app_name " _
					& "FROM APPS, ALLOWED_APPS, USERS " _
					& "WHERE APPS.app_id = ALLOWED_APPS.app_id " _
					& "AND ALLOWED_APPS.user_id = USERS.user_id " _
					& "AND USERS.user_name = '" & strDBUsername & "' " _
					& "ORDER BY APPS.app_name"

					objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

					x = 0

					While Not objRS.EOF
						Response.Write objRS("app_name") & "<br />" & vbCrLf

						x = x + 1

						objRS.MoveNext
					WEnd

					objRS.Close

%>

            <br />
            Total # of Applications: <%=x%><br />
            <br />

<%

				End If
			Next

			objConn.Close
		End If
	Else

%>

            [ <b>Allowed Applications List for <%=strUsername%></b> ]<br />

<%

		objConn.Open strConnection

		If Err.Number = 0 Then
			For Each strDBUsername In strUsernamesSplit
				strDBUsername = Trim(strDBUsername)

				If strDBUsername = strUsername Then

%>

            </p>
            <hr />
            <p style="color: #000000; font: 13px arial;">
            <%=strDBUsername%><br />
            <br />
            <b>Allowed Applications:</b><br />

<%
					strQuery = "SELECT APPS.app_name " _
					& "FROM APPS, ALLOWED_APPS, USERS " _
					& "WHERE APPS.app_id = ALLOWED_APPS.app_id " _
					& "AND ALLOWED_APPS.user_id = USERS.user_id " _
					& "AND USERS.user_name = '" & strDBUsername & "' " _
					& "ORDER BY APPS.app_name"

					objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

					x = 0

					While Not objRS.EOF
						Response.Write objRS("app_name") & "<br />" & vbCrLf

						x = x + 1

						objRS.MoveNext
					WEnd

					objRS.Close

%>

            <br />
            Total # of Applications: <%=x%><br />
            <br />

<%

				End If
			Next

			objConn.Close
		End If
	End If
End If

If intReportID = "2" And strAppName <> "" Then
	If strAppName = "--All Applications--" Then

%>

            [ <b>Allowed Users List for All Applications</b> ]<br />

<%

		objConn.Open strConnection

		If Err.Number = 0 Then
			For Each strDBAppName In strAppNamesSplit
				strDBAppName = Trim(strDBAppName)

				If strDBAppName <> "" Then

%>

            </p>
            <hr />
            <p style="color: #000000; font: 13px arial;">
            <%=strDBAppName%><br />
            <br />
            <b>Allowed Users:</b><br />

<%
					strQuery = "SELECT USERS.user_name " _
					& "FROM USERS, ALLOWED_APPS, APPS " _
					& "WHERE USERS.user_id = ALLOWED_APPS.user_id " _
					& "AND ALLOWED_APPS.app_id = APPS.app_id " _
					& "AND APPS.app_name = '" & strDBAppName & "' " _
					& "ORDER BY USERS.user_name"

					objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

					x = 0

					While Not objRS.EOF
						Response.Write objRS("user_name") & "<br />" & vbCrLf

						x = x + 1

						objRS.MoveNext
					WEnd

					objRS.Close

%>

            <br />
            Total # of Users: <%=x%><br />
            <br />

<%

				End If
			Next

			objConn.Close
		End If
	Else

%>

            [ <b>Allowed Users List for <%=strAppName%></b> ]<br />

<%

		objConn.Open strConnection

		If Err.Number = 0 Then
			For Each strDBAppName In strAppNamesSplit
				strDBUAppName = Trim(strDBAppName)

				If strDBAppName = strAppName Then

%>

            </p>
            <hr />
            <p style="color: #000000; font: 13px arial;">
            <%=strDBAppName%><br />
            <br />
            <b>Allowed Users:</b><br />

<%
					strQuery = "SELECT USERS.user_name " _
					& "FROM USERS, ALLOWED_APPS, APPS " _
					& "WHERE USERS.user_id = ALLOWED_APPS.user_id " _
					& "AND ALLOWED_APPS.app_id = APPS.app_id " _
					& "AND APPS.app_name = '" & strDBAppName & "' " _
					& "ORDER BY USERS.user_name"

					objRS.Open strQuery, objConn, adOpenStatic, adLockOptimistic

					x = 0

					While Not objRS.EOF
						Response.Write objRS("user_name") & "<br />" & vbCrLf

						x = x + 1

						objRS.MoveNext
					WEnd

					objRS.Close

%>

            <br />
            Total # of Users: <%=x%><br />
            <br />

<%

				End If
			Next

			objConn.Close
		End If
	End If
End If

%>

            </p>
          </td>

        </tr>
      </table>

    </div>

    <div id="footer">
      <p>Copyright  2006 i1 Labs, LLC | <a href="http://www.i1labs.com">http://www.i1labs.com/</a></p>
    </div>
  </body>
</html>

<%

Set objFSO = CreateObject("Scripting.FileSystemObject")

If objFSO.FileExists(Server.MapPath("Logs/Expired")) Then

%>

<script language="javascript" type="text/javascript">

licenseExpired();

</script>

<%

End If

%>
